#ham-menu {
    background-color: #f0f0f0;
    box-sizing: border-box;
    height: 100%;
    padding: 0px 0px;
    position: fixed;
    right: -270px;
    top: 0;
    transition: transform 0.2s linear 0s;
    width: 270px;
    z-index: 1000;
}

#menu-background {
    background-color: #f0f0f0;
    display: block;
    height: 100%;
    opacity: 0;
    position: fixed;
    right: 0;
    top: 0;
    transition: all 0.3s linear 0s;
    width: 100%;
    z-index: -1;
}

#menu-icon {
    background-color: #aaaaaa;
    border-radius: 0 0 0 0px;
    color: #fff;
    cursor: pointer;
    display: block;
    font-size: 40px;
    height: 40px;
    line-height: 40px;
    position: fixed;
    right: 0;
    text-align: center;
    top: 0;
    width: 50px;
    transition: all 0.3s linear 0s;
    z-index: 1000;
}

#menu-cb {
    display: none;
}

#menu-cb:checked ~ #ham-menu,
#menu-cb:checked ~ #menu-icon {
    transform: translate(-270px); 
}

#menu-cb:checked ~ #menu-background {
    opacity: 0.5;
    z-index: 999;
}



